Issue 114069 - DejaVu fonts need updating
Summary: DejaVu fonts need updating
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOO330m3
Hardware: All All
: P3 Trivial with 2 votes (vote)
Target Milestone: OOo 3.3
Assignee: eric.savary
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-08-23 13:33 UTC by dlasher
Modified: 2017-05-20 10:22 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description dlasher 2010-08-23 13:33:21 UTC
The OpenOffice.org 3.3.0 Beta 1 contains version 2.30 of the DejaVu fonts. The 
latest version, released yesterday 2010-08-22, is version 2.32.

This is especially important because of a bug in 2.30, which was fixed in 2.31: 
the Serif Condensed Italic didn't have the proper name tags.

This does create a situation where users who already have the buggy Serif 
Condensed Italic installed will get a duplicate with a different name:
"DejaVu Serif Italic Condensed" (bad 2.30 name)
"DejaVu Serif Condensed Italic" (good 2.32 name)
Comment 1 Olaf Felka 2010-08-23 15:19:53 UTC
Any thoughts on this?
Comment 2 majukr05 2010-08-23 17:41:16 UTC
Also fixed in DejaVu fonts 2.32:
[see closed issue 102911]

Bug 22579 - OO.o devs think DejaVu kerning is broken for windows apps
<https://bugs.freedesktop.org/show_bug.cgi?id=22579>
Bug 28977 - typing hi in OpenOffice 3.2.1
<http://bugs.freedesktop.org/show_bug.cgi?id=28977>
-> r2400
<http://dejavu.svn.sourceforge.net/viewvc/dejavu?revision=2400&view=revision>
-> r2402
<http://dejavu.svn.sourceforge.net/viewvc/dejavu?revision=2402&view=revision>

The developer snapshot dejavu-fonts-ttf-2.31-20100808-2407 works fine for me
[pair kerning enabled – OOO330_m5/DEV300_m86 on WinXP].

Comment 3 hdu@apache.org 2010-09-06 13:44:52 UTC
Yup, these changes are good reasons for updating them.
Comment 4 Olaf Felka 2010-09-07 17:54:57 UTC
Accepted and added to the meta issue
Comment 5 hdu@apache.org 2010-09-09 08:58:11 UTC
Done in CWS ooo33gsl08
Comment 6 hdu@apache.org 2010-09-09 09:00:59 UTC
Adjusting target
Comment 7 hdu@apache.org 2010-09-09 14:50:51 UTC
@es: please verify in CWS ooo33gsl08
testing hints:
- take care that no other versions of DejaVu are available system-wide (i113586)
- check kerning on WIN platforms
Comment 8 eric.savary 2010-09-10 13:15:24 UTC
Verified in CWS ooo33gsl08